Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.admin
Class SuperUsers

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.admin.AdminAction
              org.esupportail.portal.channels.CIntranet.actions.admin.SuperUsers

All Implemented Interfaces:
  org.jasig.portal.ICacheable, org.esupportail.portal.utils.channels.ISubChannel

public class SuperUsers
extends AdminAction

ListMimes
Cette action prend en charge l'affichage de la liste des extensions acceptées
par le canal intranet et l'ajout d'un nouvelle extension avec son type MIME associé
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`SuperUsers(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`java.lang.Boolean` | `action()` Méthode appelée si l'utilisateur est un super-utilisateur
`java.lang.Boolean` | `addinit(org.jasig.portal.ChannelRuntimeData rd)` Ajout d'un type MIME
`java.lang.Boolean` | `delinit(org.jasig.portal.ChannelRuntimeData rd)` Suppression d'un Super Utilisateur
`java.lang.Boolean` | `setXML()` Affiche la liste des Super Utilisateurs

Methods inherited from class org.esupportail.portal.channels.CIntranet.actions.admin.AdminAction
`init`

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, clearChannel, generateKey, getMainChannel, getMediaPath, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, isCacheValid, log, log, renderXML, setDefaultXslParameters, setOutput, setSSL, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuperUsers

    public SuperUsers(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

Parameters:
  `mainChannel` - La channel principale

Method Detail

### action

    public java.lang.Boolean action()
                             throws org.jasig.portal.PortalException,
                                    org.esupportail.portal.utils.channels.FrameWorkException

  Méthode appelée si l'utilisateur est un super-utilisateur

  Specified by:
    `action` in class `AdminAction`
  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`
    `org.jasig.portal.PortalException`

### setXML

    public java.lang.Boolean setXML()
                             throws org.esupportail.portal.utils.channels.FrameWorkException

  Affiche la liste des Super Utilisateurs

  Returns:
    Boolean.TRUE
  Throws:
    `org.esupportail.portal.utils.channels.FrameWorkException`

### delinit

    public java.lang.Boolean delinit(org.jasig.portal.ChannelRuntimeData rd)
                              throws org.jasig.portal.PortalException,
                                     org.esupportail.portal.utils.channels.FrameWorkException

  Suppression d'un Super Utilisateur

  Parameters:
    `rd` -
  Returns:
    Boolean.FALSE (pas d'affichage)
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### addinit

    public java.lang.Boolean addinit(org.jasig.portal.ChannelRuntimeData rd)
                              throws org.jasig.portal.PortalException,
                                     org.esupportail.portal.utils.channels.FrameWorkException

  Ajout d'un type MIME

  Parameters:
    `rd` -
  Returns:
    Boolean.FALSE (pas d'affichage)
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD